package es.uv.saic.domain;

public class DummyDataTransfer {

	public String text;
	public String text2;
	public String text3;
	public int value;
	public int value2;
	public int value3;
	
	
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public int getValue() {
		return value;
	}
	public void setValue(int value) {
		this.value = value;
	}
	public String getText2() {
		return text2;
	}
	public void setText2(String text2) {
		this.text2 = text2;
	}
	public int getValue2() {
		return value2;
	}
	public void setValue2(int value2) {
		this.value2 = value2;
	}
	public String getText3() {
		return text3;
	}
	public void setText3(String text3) {
		this.text3 = text3;
	}
	public int getValue3() {
		return value3;
	}
	public void setValue3(int value3) {
		this.value3 = value3;
	}
	public boolean equals (Object o) {
		if(o == null) { return false; }
		if (this.getClass() != o.getClass()) { return false; }
		DummyDataTransfer x = (DummyDataTransfer) o;
		if (x.text.equals(this.text)) return true;
        return false;
	}
	
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.text.hashCode();
		hash = hash * prime + this.text2.hashCode();
		hash = hash * prime + this.text3.hashCode();
		hash = hash * prime + Integer.toString(this.value).hashCode();
		hash = hash * prime + Integer.toString(this.value2).hashCode();
		hash = hash * prime + Integer.toString(this.value3).hashCode();
		
		return hash;
	}
	
	
}
